﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGrid_sample.ViewModel
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Item> items;
        public ObservableCollection<Item> Items
        {
            get { return items; }
            set
            {
                items = value;
                NotifyPropertyChanged("Items");
            }
        }

        private ObservableCollection<object> selectedItems;
        public ObservableCollection<object> SelectedItems
        {
            get { return selectedItems; }
            set
            {
                selectedItems = value;
                NotifyPropertyChanged("SelectedItems");
            }
        }
        
        public ViewModel()
        {
            Items = new ObservableCollection<Item>()
            {
                new Item("Laptop", 1000, 5),
                new Item("Table", 42990, 20.5),
                new Item("TV", 820, 10),
                new Item("Smartphone", 350, 0.120)
            };

            SelectedItems = new ObservableCollection<object>();
        }

        #region Notify Property Changed

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion // Notify Property Changed 
    }
}
